{"format":"opendoc-document","version":1,"url":"https://docs.storm.tg/developers/operations/selfdeposit","title":"Deposit account tokens into a vault","description":"POST /v3-node-0/smartaccount/self-deposit: Moves an asset held by a deployed smart account into its vault, authorised by a user key registered in that account","kind":"api-operation","locale":"en","inLanguage":"en","lastModified":"2026-10-09T14:26:32+03:00","revision":"d36475e7b456c737fae6933fa27b7e1bc2687f2c19291b05725ab2c4e8f79d7a","section":{"title":"For Developers","url":"https://docs.storm.tg/developers"},"representations":{"html":"https://docs.storm.tg/developers/operations/selfdeposit","markdown":"https://docs.storm.tg/developers/operations/selfdeposit.md","json":"https://docs.storm.tg/developers/operations/selfdeposit.json"},"translations":{"en":"https://docs.storm.tg/developers/operations/selfdeposit"},"operation":{"id":"SelfDeposit","method":"POST","path":"/v3-node-0/smartaccount/self-deposit","summary":"Deposit account tokens into a vault","description":"Moves an asset held by a deployed smart account into its vault, authorised by a user key registered in that account","tags":["Smart accounts"],"deprecated":false,"parameters":[],"bodies":[{"mediaType":"application/json","required":true,"description":"Signed self-deposit intent","properties":[{"name":"message","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"publicKey","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"signature","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"smartAccount","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.adapter.UserSelfDepositMessage","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"message","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"publicKey","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"signature","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"smartAccount","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]},"example":"{\n  \"message\": \"string\",\n  \"publicKey\": \"string\",\n  \"signature\": \"string\",\n  \"smartAccount\": \"string\"\n}"}],"responses":[{"status":"200","description":"OK","mediaType":"application/json","properties":[{"name":"amount","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"createdAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"ok","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"queryId","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"replaySlot","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"txHash","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.api.SelfDepositResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"amount","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"createdAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"ok","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"queryId","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"replaySlot","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"txHash","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]},"example":"{\n  \"amount\": \"string\",\n  \"createdAt\": 0,\n  \"externalQueryId\": \"string\",\n  \"ok\": true,\n  \"queryId\": 0,\n  \"replaySlot\": 0,\n  \"txHash\": \"string\"\n}","headers":[]},{"status":"400","description":"Bad Request","mediaType":"application/json","properties":[{"name":"code","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"details","type":"object","required":false,"example":"{\n  \"key\": \"string\"\n}","schema":{"type":"object","types":["object"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[],"additionalProperties":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}},{"name":"error","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.api.PreflightErrorResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"code","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"details","type":"object","required":false,"example":"{\n  \"key\": \"string\"\n}","schema":{"type":"object","types":["object"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[],"additionalProperties":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}},{"name":"error","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]},"example":"{\n  \"code\": \"string\",\n  \"details\": {\n    \"key\": \"string\"\n  },\n  \"error\": \"string\",\n  \"externalQueryId\": \"string\"\n}","headers":[]},{"status":"409","description":"Conflict","mediaType":"application/json","properties":[{"name":"code","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"details","type":"object","required":false,"example":"{\n  \"key\": \"string\"\n}","schema":{"type":"object","types":["object"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[],"additionalProperties":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}},{"name":"error","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.api.PreflightErrorResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"code","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"details","type":"object","required":false,"example":"{\n  \"key\": \"string\"\n}","schema":{"type":"object","types":["object"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[],"additionalProperties":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}},{"name":"error","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]},"example":"{\n  \"code\": \"string\",\n  \"details\": {\n    \"key\": \"string\"\n  },\n  \"error\": \"string\",\n  \"externalQueryId\": \"string\"\n}","headers":[]},{"status":"500","description":"Internal Server Error","mediaType":"application/json","properties":[{"name":"code","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"details","type":"object","required":false,"example":"{\n  \"key\": \"string\"\n}","schema":{"type":"object","types":["object"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[],"additionalProperties":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}},{"name":"error","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.api.PreflightErrorResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"code","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"details","type":"object","required":false,"example":"{\n  \"key\": \"string\"\n}","schema":{"type":"object","types":["object"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[],"additionalProperties":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}},{"name":"error","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]},"example":"{\n  \"code\": \"string\",\n  \"details\": {\n    \"key\": \"string\"\n  },\n  \"error\": \"string\",\n  \"externalQueryId\": \"string\"\n}","headers":[]},{"status":"502","description":"Bad Gateway","mediaType":"application/json","properties":[{"name":"code","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"details","type":"object","required":false,"example":"{\n  \"key\": \"string\"\n}","schema":{"type":"object","types":["object"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[],"additionalProperties":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}},{"name":"error","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.api.PreflightErrorResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"code","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"details","type":"object","required":false,"example":"{\n  \"key\": \"string\"\n}","schema":{"type":"object","types":["object"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[],"additionalProperties":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}},{"name":"error","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]},"example":"{\n  \"code\": \"string\",\n  \"details\": {\n    \"key\": \"string\"\n  },\n  \"error\": \"string\",\n  \"externalQueryId\": \"string\"\n}","headers":[]}],"security":[],"codeSamples":[{"label":"cURL","language":"bash","source":"curl --request POST 'https://api.storm.tg/v3-node-0/smartaccount/self-deposit' \\\n  --header 'Accept: application/json' \\\n  --header 'Content-Type: application/json' \\\n  --data-raw '{\n  \"message\": \"string\",\n  \"publicKey\": \"string\",\n  \"signature\": \"string\",\n  \"smartAccount\": \"string\"\n}'"},{"label":"JavaScript","language":"javascript","source":"const response = await fetch(\"https://api.storm.tg/v3-node-0/smartaccount/self-deposit\", {\n  method: \"POST\",\n  headers: {\n    \"Accept\": \"application/json\",\n    \"Content-Type\": \"application/json\"\n  },\n  body: \"{\\n  \\\"message\\\": \\\"string\\\",\\n  \\\"publicKey\\\": \\\"string\\\",\\n  \\\"signature\\\": \\\"string\\\",\\n  \\\"smartAccount\\\": \\\"string\\\"\\n}\",\n});\nconsole.log(response.status, await response.text());"},{"label":"Python","language":"python","source":"import requests\n\nresponse = requests.request(\n    \"POST\",\n    \"https://api.storm.tg/v3-node-0/smartaccount/self-deposit\",\n    headers={\"Accept\":\"application/json\",\"Content-Type\":\"application/json\"},\n    data=\"{\\n  \\\"message\\\": \\\"string\\\",\\n  \\\"publicKey\\\": \\\"string\\\",\\n  \\\"signature\\\": \\\"string\\\",\\n  \\\"smartAccount\\\": \\\"string\\\"\\n}\",\n    timeout=30,\n)\nprint(response.status_code, response.text)"}]},"breadcrumbs":[{"title":"⚡ About Storm Trade","url":"https://docs.storm.tg"},{"title":"For Developers","url":"https://docs.storm.tg/developers"},{"title":"Deposit account tokens into a vault","url":"https://docs.storm.tg/developers/operations/selfdeposit"}],"headings":[{"depth":2,"id":"request-body-required","title":"Request body · required"},{"depth":2,"id":"examples","title":"Examples"},{"depth":2,"id":"responses","title":"Responses"}],"markdown":"# Deposit account tokens into a vault\n\n`POST /v3-node-0/smartaccount/self-deposit`\n\nMoves an asset held by a deployed smart account into its vault, authorised by a user key registered in that account\n\n## Authorization\n\n\n\n## Parameters\n\n\n\n## Request body · Trading.adapter.UserSelfDepositMessage\n\napplication/json · required\n\nSigned self-deposit intent\n\nSchema: Trading.adapter.UserSelfDepositMessage\n\nType: object\n\nRequired fields: message, publicKey, signature, smartAccount\n\nRequired field types: message (string; required), publicKey (string; required), signature (string; required), smartAccount (string; required)\n\n- message (string; required)\n\nmessage example: string\n\nmessage.Type: string\n\n- publicKey (string; required)\n\npublicKey example: string\n\npublicKey.Type: string\n\n- signature (string; required)\n\nsignature example: string\n\nsignature.Type: string\n\n- smartAccount (string; required)\n\nsmartAccount example: string\n\nsmartAccount.Type: string\n\nExample\n\n\n\n```json\n{\n  \"message\": \"string\",\n  \"publicKey\": \"string\",\n  \"signature\": \"string\",\n  \"smartAccount\": \"string\"\n}\n```\n\n## Example · cURL\n\n```bash\ncurl --request POST 'https://api.storm.tg/v3-node-0/smartaccount/self-deposit' \\\n  --header 'Accept: application/json' \\\n  --header 'Content-Type: application/json' \\\n  --data-raw '{\n  \"message\": \"string\",\n  \"publicKey\": \"string\",\n  \"signature\": \"string\",\n  \"smartAccount\": \"string\"\n}'\n```\n\n## Example · JavaScript\n\n```javascript\nconst response = await fetch(\"https://api.storm.tg/v3-node-0/smartaccount/self-deposit\", {\n  method: \"POST\",\n  headers: {\n    \"Accept\": \"application/json\",\n    \"Content-Type\": \"application/json\"\n  },\n  body: \"{\\n  \\\"message\\\": \\\"string\\\",\\n  \\\"publicKey\\\": \\\"string\\\",\\n  \\\"signature\\\": \\\"string\\\",\\n  \\\"smartAccount\\\": \\\"string\\\"\\n}\",\n});\nconsole.log(response.status, await response.text());\n```\n\n## Example · Python\n\n```python\nimport requests\n\nresponse = requests.request(\n    \"POST\",\n    \"https://api.storm.tg/v3-node-0/smartaccount/self-deposit\",\n    headers={\"Accept\":\"application/json\",\"Content-Type\":\"application/json\"},\n    data=\"{\\n  \\\"message\\\": \\\"string\\\",\\n  \\\"publicKey\\\": \\\"string\\\",\\n  \\\"signature\\\": \\\"string\\\",\\n  \\\"smartAccount\\\": \\\"string\\\"\\n}\",\n    timeout=30,\n)\nprint(response.status_code, response.text)\n```\n\n## Response 200 · Trading.api.SelfDepositResponse\n\n**200** application/json — OK\n\nSchema: Trading.api.SelfDepositResponse\n\nType: object\n\nRequired fields: none\n\n- amount (string; optional)\n\namount example: string\n\namount.Type: string\n\n- createdAt (integer; optional)\n\ncreatedAt example: 0\n\ncreatedAt.Type: integer\n\n- externalQueryId (string; optional)\n\nexternalQueryId example: string\n\nexternalQueryId.Type: string\n\n- ok (boolean; optional)\n\nok example: true\n\nok.Type: boolean\n\n- queryId (integer; optional)\n\nqueryId example: 0\n\nqueryId.Type: integer\n\n- replaySlot (integer; optional)\n\nreplaySlot example: 0\n\nreplaySlot.Type: integer\n\n- txHash (string; optional)\n\ntxHash example: string\n\ntxHash.Type: string\n\nExample\n\n\n\n```json\n{\n  \"amount\": \"string\",\n  \"createdAt\": 0,\n  \"externalQueryId\": \"string\",\n  \"ok\": true,\n  \"queryId\": 0,\n  \"replaySlot\": 0,\n  \"txHash\": \"string\"\n}\n```\n\n## Response 400 · Trading.api.PreflightErrorResponse\n\n**400** application/json — Bad Request\n\nSchema: Trading.api.PreflightErrorResponse\n\nType: object\n\nRequired fields: none\n\n- code (string; optional)\n\ncode example: string\n\ncode.Type: string\n\n- details (object; optional)\n\ndetails example: {\n  \"key\": \"string\"\n}\n\ndetails.Type: object\n\ndetails.*.Type: string\n\n- error (string; optional)\n\nerror example: string\n\nerror.Type: string\n\n- externalQueryId (string; optional)\n\nexternalQueryId example: string\n\nexternalQueryId.Type: string\n\nExample\n\n\n\n```json\n{\n  \"code\": \"string\",\n  \"details\": {\n    \"key\": \"string\"\n  },\n  \"error\": \"string\",\n  \"externalQueryId\": \"string\"\n}\n```\n\n## Response 409 · Trading.api.PreflightErrorResponse\n\n**409** application/json — Conflict\n\nSchema: Trading.api.PreflightErrorResponse\n\nType: object\n\nRequired fields: none\n\n- code (string; optional)\n\ncode example: string\n\ncode.Type: string\n\n- details (object; optional)\n\ndetails example: {\n  \"key\": \"string\"\n}\n\ndetails.Type: object\n\ndetails.*.Type: string\n\n- error (string; optional)\n\nerror example: string\n\nerror.Type: string\n\n- externalQueryId (string; optional)\n\nexternalQueryId example: string\n\nexternalQueryId.Type: string\n\nExample\n\n\n\n```json\n{\n  \"code\": \"string\",\n  \"details\": {\n    \"key\": \"string\"\n  },\n  \"error\": \"string\",\n  \"externalQueryId\": \"string\"\n}\n```\n\n## Response 500 · Trading.api.PreflightErrorResponse\n\n**500** application/json — Internal Server Error\n\nSchema: Trading.api.PreflightErrorResponse\n\nType: object\n\nRequired fields: none\n\n- code (string; optional)\n\ncode example: string\n\ncode.Type: string\n\n- details (object; optional)\n\ndetails example: {\n  \"key\": \"string\"\n}\n\ndetails.Type: object\n\ndetails.*.Type: string\n\n- error (string; optional)\n\nerror example: string\n\nerror.Type: string\n\n- externalQueryId (string; optional)\n\nexternalQueryId example: string\n\nexternalQueryId.Type: string\n\nExample\n\n\n\n```json\n{\n  \"code\": \"string\",\n  \"details\": {\n    \"key\": \"string\"\n  },\n  \"error\": \"string\",\n  \"externalQueryId\": \"string\"\n}\n```\n\n## Response 502 · Trading.api.PreflightErrorResponse\n\n**502** application/json — Bad Gateway\n\nSchema: Trading.api.PreflightErrorResponse\n\nType: object\n\nRequired fields: none\n\n- code (string; optional)\n\ncode example: string\n\ncode.Type: string\n\n- details (object; optional)\n\ndetails example: {\n  \"key\": \"string\"\n}\n\ndetails.Type: object\n\ndetails.*.Type: string\n\n- error (string; optional)\n\nerror example: string\n\nerror.Type: string\n\n- externalQueryId (string; optional)\n\nexternalQueryId example: string\n\nexternalQueryId.Type: string\n\nExample\n\n\n\n```json\n{\n  \"code\": \"string\",\n  \"details\": {\n    \"key\": \"string\"\n  },\n  \"error\": \"string\",\n  \"externalQueryId\": \"string\"\n}\n```","text":"Deposit account tokens into a vault Moves an asset held by a deployed smart account into its vault, authorised by a user key registered in that account POST /v3-node-0/smartaccount/self-deposit Smart accounts Signed self-deposit intent message string publicKey string signature string smartAccount string 200 OK amount string createdAt integer externalQueryId string ok boolean queryId integer replaySlot integer txHash string 400 Bad Request code string details object error string externalQueryId string 409 Conflict code string details object error string externalQueryId string 500 Internal Server Error code string details object error string externalQueryId string 502 Bad Gateway code string details object error string externalQueryId string","api":{"title":"Storm API reference","version":"3.0","documentation":"https://docs.storm.tg/developers/overview","playgroundServer":"https://api.storm.tg"}}